
/** Projet 3ETI - CPE Lyon - 2011-2012 */

#ifndef _ELEMENT_ELECTRONIQUE_HPP_
#define _ELEMENT_ELECTRONIQUE_HPP_

#include <string>

namespace cpe
{
    /** \brief Classe générique contant un element electronique non specifie */
    class element_electronique
    {
    public:

        // ******************************************************** //
        // Constructeur
        // ******************************************************** //

        /** \brief Constructeur par defaut */
        element_electronique();

        // ******************************************************** //
        // Acces aux données internes
        // ******************************************************** //

        /** \brief definie le nom de l'element */
        void set_name(const std::string& name);
        /** \brief renvoie le nom de l'element */
        const std::string& name() const;

    private:

        /** \brief le nom de cet element */
        std::string name_internal;

    };
}

#endif
